Summary: System image generation tool
Name: imagefactory
Version: 1.1.2_423_g2c98232
Release: 1%{?dist}
Source0: http://repos.fedorapeople.org/repos/aeolus/imagefactory/%{version}/tarball/%{name}-%{version}.tar.gz
License: ASL 2.0
Group: Applications/System
URL: http://www.aeolusproject.org/imagefactory.html
BuildArch: noarch
#Commenting out requirements that have moved to plugins
#Leaving them temporarily to aid in testing
#
#Moved to EC2Cloud
# Requires: euca2ools
# Requires: python-boto >= 2.0
#
#Moved to FedoraOS (and possibly other OS plugins)
# Requires: oz >= 0.7.0
#
#To be moved to vsphere/ESX
#Requires: VMDKstream
#Requires: python-suds >= 0.4.1
#Requires: python-psphere
#
#To be moved to RackSpace
#Requires: python-cloudservers
#
#To be moved/removed in RHEV-M
# We need this for dc-rhev-image
# TODO: Remove this requirement when move pushing internal to the factory
#Requires: iwhd >= 1.2
#Requires: qemu-img
Requires: python-pycurl
Requires: python-libguestfs
Requires: python-zope-interface
Requires: libxml2-python
Requires: python-httplib2
Requires: python-argparse
Requires: python-paste-deploy
Requires: python-oauth2
Requires(post): chkconfig
Requires(preun): chkconfig
# This is for /sbin/service
Requires(preun): initscripts
BuildRequires: python-setuptools

%description
imagefactory allows the creation of system images for multiple virtualization
and cloud providers from a single template definition. See 
http://aeolusproject.org/projects/imagefactory for more information.

%package secondary
Summary: Remote/Secondary Image Factory functionality
Requires: python-requests
Requires: python-requests-oauth

%description secondary
Additional modules to allow the use of primary and secondary factories.
This is mainly useful when operating the primary factory behind a restrictive firewall.

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install -O1 --root=%{buildroot} --skip-build

%{__install} -d %{buildroot}/%{_sysconfdir}/imagefactory/jeos_images
%{__install} -d %{buildroot}/%{_localstatedir}/lib/imagefactory/images
%{__install} -d %{buildroot}/%{_sysconfdir}/imagefactory/plugins.d
%{__install} -d %{buildroot}/%{_sysconfdir}/logrotate.d

sed -i '/\/usr\/bin\/env python/d' %{buildroot}/%{python_sitelib}/imgfac/*.py

%{__install} -m0600 conf/sysconfig/imagefactoryd %{buildroot}/%{_sysconfdir}/sysconfig/imagefactoryd
%{__install} -m0600 conf/logrotate.d/imagefactoryd %{buildroot}/%{_sysconfdir}/logrotate.d/imagefactoryd

%post
/sbin/chkconfig --add imagefactoryd

%preun
if [ $1 = 0 ] ; then
    /sbin/service imagefactoryd stop >/dev/null 2>&1
    /sbin/chkconfig --del imagefactoryd
fi

%files secondary
%{python_sitelib}/imgfac/secondary

%files
%doc COPYING
%{_initddir}/imagefactoryd
%config(noreplace) %{_sysconfdir}/imagefactory/imagefactory.conf
%config(noreplace) %{_sysconfdir}/sysconfig/imagefactoryd
%config(noreplace) %{_sysconfdir}/logrotate.d/imagefactoryd
%dir %attr(0755, root, root) %{_sysconfdir}/pki/imagefactory/
%dir %attr(0755, root, root) %{_sysconfdir}/imagefactory/jeos_images/
%dir %attr(0755, root, root) %{_sysconfdir}/imagefactory/plugins.d/
%dir %attr(0755, root, root) %{_localstatedir}/lib/imagefactory/images
%config %{_sysconfdir}/pki/imagefactory/cert-ec2.pem
%{python_sitelib}/imgfac/*.py*
%{python_sitelib}/imgfac/rest
%{python_sitelib}/imgfac/picklingtools
%{python_sitelib}/imagefactory-*.egg-info
%{_bindir}/imagefactory
%{_bindir}/imagefactoryd
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man7/*

%changelog
* Thu Sep 15 2011 Ian McLeod <imcleod@redhat.com> - 0.6.1
- Update Oz requirement to 0.7.0 or later for new target-specific package config
- Update SPEC file to restart service after an install

* Mon Apr 04 2011 Chris Lalancette <clalance@redhat.com> - 0.1.6-1
- Initial spec file.
